<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ajax_poll_archive.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."ajax_poll_panel/infusion_db.php";

if (file_exists(INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_poll_panel/locale/English.php";
}

$result = dbquery("SELECT * FROM ".DB_AJAX_POLL." WHERE poll_ended!='0' ORDER BY poll_id DESC");
if (dbrows($result) != 0) {
	opentable($locale['APP_107']);
	echo "<div style='text-align:center'>".$locale['APP_108']."<br />\n";
	echo "<form name='pollsform' method='post' action='".FUSION_SELF."'>\n";
	echo "<select name='oldpoll_id' class='textbox'>\n";
	while ($data = dbarray($result)) {
		echo "<option value='".$data['poll_id']."'>".$data['poll_title']."</option>\n";
	}
	echo "</select>\n";
	echo "<input type='submit' name='view' value='".$locale['APP_109']."' class='button' />\n";
	echo "</form>\n</div>\n";
	closetable();
}
if (isset($_POST['oldpoll_id'])) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_AJAX_POLL." WHERE poll_id='".$_POST['oldpoll_id']."' AND poll_ended!='0'"));
	$oldpoll_votes = 0;
	for ($i=0; $i<=9; $i++) {
		if ($data["poll_opt_".$i]) $oldpoll_option[$i] = $data["poll_opt_".$i];
		$oldpoll_votes = $oldpoll_votes + $data["poll_votes_".$i];
	}
	$poll_archive = ""; 
	for ($i = 0; $i < count($oldpoll_option); $i++) {
		$oldnum_votes = $data["poll_votes_".$i];
		$oldopt_votes = ($oldpoll_votes ? number_format(100 / $oldpoll_votes * $oldnum_votes) : 0);
		$poll_archive .= $oldpoll_option[$i]."\n";
		$poll_archive .= "<br /><img src='".THEME."images/pollbar.gif' alt='".$oldpoll_option[$i]."' style='height:12px;width:".$oldopt_votes."px' class='poll' /><br />\n";
		$poll_archive .= $oldopt_votes."% [".$oldnum_votes." ".($oldnum_votes == 1 ? $locale['APP_102'] : $locale['APP_103'])."]<br />\n";
	}
	opentable($locale['APP_110']);
	echo "<table align='center' style='width:200px' cellspacing='0' cellpadding='0' class='tbl'>\n";
	echo "<tr>\n";
	echo "<td>".$data['poll_title']."\n";
	echo "<hr />\n".$poll_archive."\n";
	echo "<div style='text-align:center'><br />\n";
	echo $locale['APP_104'].$oldpoll_votes."<br />\n";
	echo $locale['APP_105'].showdate("shortdate", $data['poll_started'])."<br />\n";
	echo $locale['APP_106'].showdate("shortdate", $data['poll_ended'])."\n";
	echo "</div>\n";
	echo "</td>\n";
	echo "</td>\n";
	echo "</table>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>