<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ajax_poll_panel/infusion_db.php";

if (file_exists(INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_poll_panel/locale/English.php";
}

$inf_title = $locale['APP_TITLE'];
$inf_description = $locale['APP_DESC'];
$inf_version = "1.2";
$inf_developer = "Digitanium & bartek124 & Khalid545";
$inf_email = "khalidd545@gmail.com";
$inf_weburl = "http://khalidb.co.cc";

$inf_folder = "ajax_poll_panel";

$inf_newtable[1] = DB_AJAX_POLL." (
		poll_id smallint(5) unsigned NOT NULL AUTO_INCREMENT,
		poll_title varchar(200) NOT NULL DEFAULT '',
		poll_opt_0 varchar(200) NOT NULL DEFAULT '',
		poll_opt_1 varchar(200) NOT NULL DEFAULT '',
		poll_opt_2 varchar(200) NOT NULL DEFAULT '',
		poll_opt_3 varchar(200) NOT NULL DEFAULT '',
		poll_opt_4 varchar(200) NOT NULL DEFAULT '',
		poll_opt_5 varchar(200) NOT NULL DEFAULT '',
		poll_opt_6 varchar(200) NOT NULL DEFAULT '',
		poll_opt_7 varchar(200) NOT NULL DEFAULT '',
		poll_opt_8 varchar(200) NOT NULL DEFAULT '',
		poll_opt_9 varchar(200) NOT NULL DEFAULT '',
		poll_votes_0 smallint(5) unsigned DEFAULT '0',
		poll_votes_1 smallint(5) unsigned DEFAULT '0',
		poll_votes_2 smallint(5) unsigned DEFAULT '0',
		poll_votes_3 smallint(5) unsigned DEFAULT '0',
		poll_votes_4 smallint(5) unsigned DEFAULT '0',
		poll_votes_5 smallint(5) unsigned DEFAULT '0',
		poll_votes_6 smallint(5) unsigned DEFAULT '0',
		poll_votes_7 smallint(5) unsigned DEFAULT '0',
		poll_votes_8 smallint(5) unsigned DEFAULT '0',
		poll_votes_9 smallint(5) unsigned DEFAULT '0',
		poll_ips text NOT NULL,
		poll_started int(10) unsigned NOT NULL DEFAULT '0',
		poll_ended int(10) unsigned NOT NULL DEFAULT '0',
		PRIMARY KEY (poll_id)
	) TYPE=MyISAM;";

$inf_droptable[1] = DB_AJAX_POLL;

$inf_adminpanel[1] = array(
	"title" => $locale['APP_ADMIN1'],
	"image" => "polls.gif",
	"panel" => "ajax_poll_admin.php",
	"rights" => "APP"
);
?>