<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ajax_poll_admin.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."ajax_poll_panel/infusion_db.php";

if (file_exists(INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_poll_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_poll_panel/locale/English.php";
}

if (!checkrights("APP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
if (isset($_GET['poll_id']) && !isnum($_GET['poll_id'])) redirect(FUSION_SELF.$aidlink);

if (isset($_POST['save'])) {
	$poll_title = stripinput($_POST['poll_title']);
	foreach($_POST['poll_option'] as $key => $value) {
		$poll_option[$key] = stripinput($_POST['poll_option'][$key]);
	}
	if (isset($_GET['poll_id'])) {
		$ended = (isset($_POST['close']) ? time() : 0);
		$result = dbquery("UPDATE ".DB_AJAX_POLL." SET poll_title='$poll_title', poll_opt_0='".$_POST['poll_option'][0]."', poll_opt_1='".$_POST['poll_option'][1]."', poll_opt_2='".(isset($_POST['poll_option'][2]) ? $_POST['poll_option'][2] : "")."', poll_opt_3='".(isset($_POST['poll_option'][3]) ? $_POST['poll_option'][3] : "")."', poll_opt_4='".(isset($_POST['poll_option'][4]) ? $_POST['poll_option'][4] : "")."', poll_opt_5='".(isset($_POST['poll_option'][5]) ? $_POST['poll_option'][5] : "")."', poll_opt_6='".(isset($_POST['poll_option'][6]) ? $_POST['poll_option'][6] : "")."', poll_opt_7='".(isset($_POST['poll_option'][7]) ? $_POST['poll_option'][7] : "")."', poll_opt_8='".(isset($_POST['poll_option'][8]) ? $_POST['poll_option'][8] : "")."', poll_opt_9='".(isset($_POST['poll_option'][9]) ? $_POST['poll_option'][9] : "")."', poll_ended='$ended' WHERE poll_id='".$_GET['poll_id']."'");
		opentable($locale['APP_400']);
		echo "<div style='text-align:center'><br />\n".$locale['APP_401']."<br /><br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['APP_405']."</a><br /><br />\n</div>\n";
		closetable();
	} else {
	
		$result = dbquery("UPDATE ".DB_AJAX_POLL." SET poll_ended='".time()."' WHERE poll_ended='0'");
		$result = dbquery("INSERT INTO ".DB_AJAX_POLL." (poll_title, poll_opt_0, poll_opt_1, poll_opt_2, poll_opt_3, poll_opt_4, poll_opt_5, poll_opt_6, poll_opt_7, poll_opt_8, poll_opt_9, poll_votes_0, poll_votes_1, poll_votes_2, poll_votes_3, poll_votes_4, poll_votes_5, poll_votes_6, poll_votes_7, poll_votes_8, poll_votes_9, poll_ips, poll_started, poll_ended) VALUES('$poll_title', '".$_POST['poll_option'][0]."', '".$_POST['poll_option'][1]."', '".(isset($_POST['poll_option'][2]) ? $_POST['poll_option'][2] : "")."', '".(isset($_POST['poll_option'][3]) ? $_POST['poll_option'][3] : "")."', '".(isset($_POST['poll_option'][4]) ? $_POST['poll_option'][4] : "")."', '".(isset($_POST['poll_option'][5]) ? $_POST['poll_option'][5] : "")."', '".(isset($_POST['poll_option'][6]) ? $_POST['poll_option'][6] : "")."', '".(isset($_POST['poll_option'][7]) ? $_POST['poll_option'][7] : "")."', '".(isset($_POST['poll_option'][8]) ? $_POST['poll_option'][8] : "")."', '".(isset($_POST['poll_option'][9]) ? $_POST['poll_option'][9] : "")."', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '".time()."', '0')");
		opentable($locale['APP_400']);
		echo "<div style='text-align:center'><br />\n".$locale['APP_402']."<br /><br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['APP_405']."</a><br /><br />\n</div>\n";
		closetable();
	}
} else if (isset($_POST['delete'])) {
	$result = dbquery("SELECT * FROM ".DB_AJAX_POLL." WHERE poll_id='".$_POST['poll_id']."'");
	if (dbrows($result) != 0) $result = dbquery("DELETE FROM ".DB_AJAX_POLL." WHERE poll_id='".$_POST['poll_id']."'");
	opentable($locale['APP_403']);
	echo "<div style='text-align:center'><br />\n".$locale['APP_404']."<br /><br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['APP_405']."</a><br /><br />\n</div>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
		$poll = ""; $i = 0;
		$poll_title = stripinput($_POST['poll_title']);
		while ($i < count($_POST['poll_option'])) {
			$poll_option[$i] = stripinput($_POST['poll_option'][$i]);
			$poll .= "<input type='radio' name='option[$i]' /> $poll_option[$i]<br /><br />\n";
			$i++;
		}
		$opt_count = (isset($_POST['opt_count']) && $_POST['opt_count'] != 10 ? count($poll_option) : $_POST['opt_count']);
		opentable($locale['APP_410']);
		echo "<table align='center' width='280' cellpadding='0' cellspacing='0' class='tbl'>\n";
		echo "<tr>\n";
		echo "<td>".$poll_title."<br /><br />\n";
		echo $poll."</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td align='center'><input type='button' name='blank' value='".$locale['APP_411']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		closetable();
	}
	$editlist = "";
	$result = dbquery("SELECT * FROM ".DB_AJAX_POLL." ORDER BY poll_id DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			$editlist .= "<option value='".$data['poll_id']."'>".$data['poll_title']."</option>\n";
		}
		opentable($locale['APP_420']);
		echo "<form name='editform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<div style='text-align:center'>\n";
		echo "<select name='poll_id' class='textbox' style='width:200px;'>\n";
		echo $editlist."</select>\n";
		echo "<input type='submit' name='edit' value='".$locale['APP_421']."' class='button' />\n";
		echo "<input type='submit' name='delete' value='".$locale['APP_422']."' class='button' />\n";
		echo "</div>\n";
		echo "</form>\n";
		closetable();
	}
	if (isset($_POST['edit'])) {
		$data = dbarray(dbquery("SELECT * FROM ".DB_AJAX_POLL." WHERE poll_id='".$_POST['poll_id']."'"));
		$poll_title = $data['poll_title'];
		for ($i=0; $i<=9; $i++) {
			if ($data["poll_opt_".$i]) $poll_option[$i] = $data["poll_opt_".$i];
		}
		$opt_count = count($poll_option);
		$poll_started = $data['poll_started'];
		$poll_ended = $data['poll_ended'];
	}
	if (isset($_POST['addoption'])) {
		$poll_title = stripinput($_POST['poll_title']);
		foreach($_POST['poll_option'] as $key => $value) {
			$poll_option[$key] = stripinput($_POST['poll_option'][$key]);
		}
		$opt_count = ($_POST['opt_count'] != 10 ? count($poll_option) + 1 : $_POST['opt_count']);
	}
	$i = 0; $opt = 1;
	$poll_title = isset($poll_title) ? $poll_title : "";
	$opt_count = isset($opt_count) ? $opt_count : 2;
	if (isset($poll_id)) $poll_ended = isset($_POST['poll_ended']) ? $_POST['poll_ended'] : 0;
	opentable((isset($_POST['poll_id']) ? $locale['APP_431'] : $locale['APP_430']));
	echo "<form name='pollform' method='post' action='".FUSION_SELF.$aidlink.(isset($_POST['poll_id']) ? "&amp;poll_id=".$_POST['poll_id']."&poll_ended=".$poll_ended : "")."'>\n";
	echo "<table align='center' style='width:300px' cellpadding='0' cellspacing='0' class='tbl'>\n<tr>\n";
	echo "<td style='width:100px'>".$locale['APP_433']."</td><td><input type='text' name='poll_title' value='".$poll_title."' class='textbox' style='width:200px' /></td>\n";
	echo "</tr>\n";
	while ($i != $opt_count) {
		$poll_opt = isset($poll_option[$i]) ? $poll_option[$i] : "";
		echo "<tr>\n<td width='100'>".$locale['APP_434'].$opt."</td>\n";
		echo "<td><input type='text' name='poll_option[$i]' value='".$poll_opt."' class='textbox' style='width:200px' /></td>\n</tr>\n";
		$i++; $opt++;
	}
	echo "</table>\n";
	echo "<table align='center' width='280' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td align='center'><br />\n";
	if (isset($_POST['poll_id']) && $poll_ended == 0) {
		echo "<input type='checkbox' name='close' value='yes' />".$locale['APP_435']."<br /><br />\n";
	}
	if (!isset($_POST['poll_id']) || isset($_POST['poll_id']) && $poll_ended == 0) {
	echo "<input type='hidden' name='opt_count' value='".$opt_count."' />\n";
	echo "<input type='submit' name='addoption' value='".$locale['APP_438']."' class='button' />\n";
	echo "<input type='submit' name='preview' value='".$locale['APP_439']."' class='button' />\n";
	echo "<input type='submit' name='save' value='".$locale['APP_440']."' class='button' />\n";
	} else {
		echo $locale['APP_436'].showdate("shortdate", $poll_started)."<br />\n";
		echo $locale['APP_437'].showdate("shortdate", $poll_ended)."<br />\n";
	}
	echo "</td>\n</tr>\n</table>\n</form>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>